Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Name:		glest
Summary:	Cross-platform 3D realtime strategy game
Version:	3.1.2
Release:	1
License:	GNU/GPL 
URL:		http://www.glest.org
Group:		Games/Stragtegy
Source0:	%{name}-source-%{version}.tar.bz2
Source1:	%{name}_data_%{version}.zip
Source2:	deutsch_2.0.0.zip
Source3:	glest.bin
Source4:	glest.desktop
Source5:	glest.ini
# add C++ includes, so glest will compile with gcc > 4.3
Patch0:		glest-gcc43.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	SDL-devel 
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	openal-devel
BuildRequires:	xerces-c-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	libX11-devel
BuildRequires:	libXt-devel
BuildRequires:	libxcb-devel
BuildRequires:	jam
BuildRequires:	unzip
BuildRequires:	dos2unix
Requires:	xorg-x11-fonts-Type1

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Cross-platform 3D realtime strategy game

%prep
#rm -rf $RPM_BUILD_DIR/glest
#mkdir $RPM_BUILD_DIR/glest
#pushd glest
%setup -q -n %{name}-source-%{version}
for i in $(find . -type f)
do
	dos2unix $i
done
chmod a+x autogen.sh
%patch0
#popd

%build
#pushd glest
#cd mk/linux
./autogen.sh
chmod a+x configure
./configure --prefix=/usr/games --with-vorbis=/usr --with-ogg=/usr \
	--with-wx-config=disabled_wx --enable-optimize --disable-debug
jam
#popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_prefix{,/share}/games/%name
install -m 755 glest %{buildroot}%_prefix/games/%name/glest
unzip %{SOURCE1} -d %{buildroot}%_datadir/games/
mkdir -p %{buildroot}%_datadir/games/glest_game/data/lang/
unzip %{SOURCE2} -d %{buildroot}%_datadir/games/glest_game/data/lang/
mv %{buildroot}%_datadir/games/glest_game/data/lang/deutsch*.lng %{buildroot}%_datadir/games/glest_game/data/lang/deutsch.lng
mkdir -p %{buildroot}%_bindir
install -m 755 %{SOURCE3} %{buildroot}%_bindir/glest
mkdir -p %{buildroot}%_datadir/applications
install -m 644 %{SOURCE4} %{buildroot}%_datadir/applications/glest.desktop
rm -f %{buildroot}%_prefix/games/%name/glest.ini
install -m 644 %{SOURCE5} %{buildroot}%_datadir/games/glest_game/glest.ini
touch %{buildroot}%_datadir/games/glest_game/glest.log
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_prefix/games/glest/glest
%_datadir/games/glest_game/glest.ini
%attr(666,root,root) %_datadir/games/glest_game/glest.log
%_datadir/games/glest_game/configuration.xml
%_datadir/games/glest_game/data/*
%_datadir/games/glest_game/docs/*
%_datadir/games/glest_game/glest.ico
%_datadir/games/glest_game/maps/*
%_datadir/games/glest_game/screens
%_datadir/games/glest_game/techs/*
%_datadir/games/glest_game/tilesets/*
%_datadir/games/glest_game/scenarios
%_datadir/games/glest_game/servers.ini
%_datadir/games/glest_game/glest_irc.url
%_datadir/games/glest_game/glest_web.url
%_bindir/glest
%_datadir/applications/glest.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.1.2-1
- Version update
* Sat Feb 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.1.0-1
- Version update
* Sat Feb 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.0-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- Version update
* Mon Sep 10 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.0.0-1
- Initial Release
